#!/bin/sh

echo
echo "       -=- ejabberd post installation script -=- "
echo "              (c) 2005-2017 ProcessOne "
echo 
echo "* Checking ejabberd installation"
id=$(id -u)
[ $id -eq 0 ] && {
  useradd -r ejabberd 2>/dev/null
  [ -d "@@INSTALLDIR@@" ] || usermod -d "@@INSTALLDIR@@" ejabberd
  chown -R ejabberd "@@INSTALLDIR@@/database"
  chown -R ejabberd "@@INSTALLDIR@@/conf"
  chown -R ejabberd "@@INSTALLDIR@@/logs"
  chown ejabberd "@@INSTALLDIR@@"
  sed -i -e "s/INSTALLUSER=root/INSTALLUSER=ejabberd/" "@@INSTALLDIR@@/bin/ejabberdctl"
}
echo 
echo "* Starting ejabberd instance"
cd "@@INSTALLDIR@@/bin"
./ejabberdctl start
./ejabberdctl started
[ $? -eq 0 ] && {
  echo
  echo "* Creating administrator user"
  ./ejabberdctl register "$1" "$2" "$3"
  echo
  echo "* Stopping ejabberd instance"
  ./ejabberdctl stop
  ./ejabberdctl stopped
  echo "==> Setup finished"
} || {
  echo "* WARNING ! ejabberd can not start"
  echo "Admin user is not created"
  echo "Please check your configuration"
}
